language: cn
model_unique_abbr: Flow_nearestNeighbor
version: 1.0.0
identification:
  docker_image_name: spark-geoflow:2.0
  model_name: 地理流的最邻近插值
  description: 本算法旨在使用历史样本流量数据估计引力模型的参数，带入引力模型公式预测未知流的流量属性。
  category_application: 诊断型
  category_data:
    - 流数据分析
  keywords:
    - 地理流
    - 最邻近插值
    - 插值

parameter_info:
  parameters:
    - arg_name: ' '
      is_positional_arg: true
      param_type: param
      visible: false
      name: 算法名称
      description: 算法的名称或者是一个特定的操作指令
      is_required: false
      data_type: str
      specification:
        default: flow-nn
    - arg_name: od_sample
      is_positional_arg: true
      param_type: input_data
      name: 样本流文件
      description: 记录样本流空间位置和属性的CSV文件
      data_type: csv
      data_semantic: od_flow
    - arg_name: od_interp
      is_positional_arg: true
      param_type: output_data
      name: 插值结果存储路径
      description: 插值结果存储文件夹的路径
      data_type: str
      data_semantic: od_interpolation
    - arg_name: od_input
      is_positional_arg: true
      param_type: input_data
      name: 待插值流文件
      description: 记录待插值流的空间位置的CSV文件
      data_type: csv
      data_semantic: od_flow
    - arg_name: sample_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 样本流文件中的列索引. 依次输入流的起点经纬度、终点经纬度和属性对应的列索引（从0开始起计）, 采用","分割。
      data_type: str
      data_semantic: sample_index
    - arg_name: input_index
      is_positional_arg: true
      param_type: param
      name: 索引
      description: 待插值流文件中的列索引. 依次输入流的起点经纬度、终点经纬度和属性对应的列索引（从0开始起计）, 采用","分割。
      data_type: str
      data_semantic: input_index


application:
  domain: 地理流
  objective: 对未知流的属性进行插值
  link_models:
    preorder: []
operation:
  usage: 使用方法描述
  exec_example:
    - docker run -u 0 $(pwd)/data:/geoflow/data crazy-zlj:spark_geoflow:1.0 flow-nn /data/od_flows.csv /data/gravity_res /data/district_pop_wuhan.csv 1,2,3,4,5 1,2,3,4
  output_display:
    - 输出显示描述

technique:
  language: [scala]
  os: [windows, linux]

source:
  maintainer: Xingchen Fan
  organization: "Institute of Geographic Sciences & Natural Resources Research, Chinese Academy of Sciences"
  contact: fanxc@lreis.ac.cn
  references:
    - 参考文献1